<script setup>
import { RouterLink, RouterView } from "vue-router";
</script>

<template>
  <RouterView />
</template>

<style lang="scss">
/* 编写媒体查询，根据屏幕大小改变html的字体大小 */

@media screen and (max-width: 1200px) {
  html {
    font-size: 10px;
  }
}

@media screen and (min-width: 1200px) and (max-width: 1440px) {
  html {
    font-size: 10px;
  }
}

@media screen and (min-width: 1440px) and (max-width: 1680px) {
  html {
    font-size: 12px;
  }
}

@media screen and (min-width: 1680px) and (max-width: 1920px) {
  html {
    font-size: 14px;
  }
}

@media screen and (min-width: 1920px) and (max-width: 2560px) {
  html {
    font-size: 16px;
  }
}

@media screen and (min-width: 2560px) and (max-width: 3840px) {
  html {
    font-size: 18px;
  }
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

// #app {
//   width: 100vw;
//   height: 100vh;
//   display: flex;
//   align-items: center;
//   justify-content: center;
// }
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  height: 100%;
  width: 100%;
}
</style>
